Skip to main content
GET
/
v1
/
other
/
semiconductor
/
dram-spot-price
Get DRAM Spot Price Data
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/other/semiconductor/dram-spot-price \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "avg": 123,
      "date": "<string>",
      "high": 123,
      "low": 123,
      "symbol": "<string>"
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

item
enum<string>
required

DRAM item

Available options:
DDR3 2Gb 128Mx16 1600/1866,
DDR3 2Gb 256Mx8 1600/1866,
DDR3 4Gb 256Mx16 1600/1866,
DDR3 4Gb 512Mx8 1600/1866,
DDR3 4Gb 512Mx8 eTT,
DDR4 16Gb (1Gx16) 3200,
DDR4 16Gb (2Gx8) 2666,
DDR4 16Gb (2Gx8) 3200,
DDR4 16Gb (2Gx8) eTT,
DDR4 4Gb (256Mx16) 2400/2666,
DDR4 4Gb (512Mx8) 2400/2666,
DDR4 4Gb 512Mx8 eTT,
DDR4 8Gb (1Gx8) 2666,
DDR4 8Gb (1Gx8) 3200,
DDR4 8Gb (1Gx8) eTT,
DDR4 8Gb (512Mx16) 2666,
DDR4 8Gb (512Mx16) 3200,
DDR5 16Gb (2Gx8) 4800/5600,
DDR5 16Gb (2Gx8) eTT
start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

Response

OK

data
object[]
error
object
pagination
any
request_id
string
success
boolean